Update Broadcast
curl --request PATCH \
--url https://api.dugble.com/broadcasts/{broadcast} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revision": 2,
"name": "<string>",
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_email": "jsmith@example.com",
"from_name": "<string>",
"reply_to_email": "jsmith@example.com",
"subject": "<string>",
"preview_text": "<string>",
"html": "<string>",
"text": "<string>",
"variable_bindings": {}
}
'import requests
url = "https://api.dugble.com/broadcasts/{broadcast}"
payload = {
"revision": 2,
"name": "<string>",
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_email": "jsmith@example.com",
"from_name": "<string>",
"reply_to_email": "jsmith@example.com",
"subject": "<string>",
"preview_text": "<string>",
"html": "<string>",
"text": "<string>",
"variable_bindings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
revision: 2,
name: '<string>',
segment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
topic_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
from_email: 'jsmith@example.com',
from_name: '<string>',
reply_to_email: 'jsmith@example.com',
subject: '<string>',
preview_text: '<string>',
html: '<string>',
text: '<string>',
variable_bindings: {}
})
};
fetch('https://api.dugble.com/broadcasts/{broadcast}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_email": "jsmith@example.com",
"subject": "<string>",
"html": "<string>",
"variable_bindings": {},
"audience_count": 123,
"eligible_count": 123,
"suppressed_count": 123,
"queued_count": 123,
"failed_count": 123,
"revision": 2,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"topic_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_name": "<string>",
"reply_to_email": "jsmith@example.com",
"preview_text": "<string>",
"text": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"queued_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"canceled_at": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "BAD_REQUEST",
"message": "<string>"
}
}Broadcasts
Update Broadcast
Updates a draft or scheduled broadcast. Supply the current revision for optimistic concurrency control; nullable content fields can be cleared with JSON null.
PATCH
/
broadcasts
/
{broadcast}
Update Broadcast
Authorizations
Pass a Dugble team token in the Authorization header as Bearer . Team token secrets use the dgb_team_ prefix.
Headers
Optional idempotency key for mutation requests. Maximum 256 characters.
Maximum string length:
256Path Parameters
Body
application/json